Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Attribute

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Attribute

public class Attribute
extends java.lang.Object

Attribute contains a reference to the Feature holding its value. Attributes are to be associated with RuntimeNodes.

See Also:
  `RuntimeNode.associateAttribute(Attribute attr)`, `RuntimeNode.getAttributeByName(String name)`, `RuntimeNode.getAttributes()`

Field Summary
`static java.lang.String` | `FALSE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static java.lang.String` | `TRUE`

Constructor Summary
`Attribute(java.lang.String name, java.lang.String group, oracle.apps.cz.cio.RuntimeNode valueNode)` Attribute object conatins a reference to a Feature holding its value.

Method Summary
`java.lang.String` | `getAttributeLevel()`
`oracle.apps.cz.cio.RuntimeNode` | `getFeature()`
`java.lang.String` | `getGroup()`
`java.lang.String` | `getInstalledValue()`
`java.lang.String` | `getInstalledValue(oracle.apps.cz.cio.RuntimeNode node)`
`java.lang.String` | `getName()`
`java.lang.String` | `getSavedValue()`
`int` | `getType()` Returns the type of the associated valueFeature
`java.lang.String` | `getValue()` Returns the string value of the attribute
`java.lang.String` | `getValue(oracle.apps.cz.cio.RuntimeNode rtNode)` Returns the string value of the attribute
`boolean` | `retainSavedValue()`
`void` | `setAttributeLevel(java.lang.String attrLevel)`
`void` | `setSavedValue(java.lang.String value)` Sets the restored value from the table.
`void` | `setSavedValue(java.lang.String value, oracle.apps.cz.cio.RuntimeNode node)`
`void` | `setValue(java.lang.String value)` Sets the value (state for boolean features and numeric values for other features) for the attribute.
`void` | `synchronizeAttribute(java.lang.String installedValue, java.lang.String lastSavedValue, oracle.apps.cz.cio.RuntimeNode node)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### TRUE

    public static final java.lang.String TRUE

### FALSE

    public static final java.lang.String FALSE

Constructor Detail

### Attribute

    public Attribute(java.lang.String name,
                     java.lang.String group,
                     oracle.apps.cz.cio.RuntimeNode valueNode)

  Attribute object conatins a reference to a Feature holding its value.
Parameters:
  `valueNode` - (oracle.apps.cz.cio.RuntimeNode) Reference feature

Method Detail

### synchronizeAttribute

    public void synchronizeAttribute(java.lang.String installedValue,
                                     java.lang.String lastSavedValue,
                                     oracle.apps.cz.cio.RuntimeNode node)

### setSavedValue

    public void setSavedValue(java.lang.String value)
                       throws LogicalException,
                              TransactionException

  Sets the restored value from the table. Enables us to know whether an attribute has been changed during a session. This method will be called by the IB synchronize attributes method. This method also records if the saved value cannot be asserted in order to ensure that when saving we do not overwrite the saved value if it has not been changed by the user.
    `LogicalException`
    `TransactionException`

### setSavedValue

    public void setSavedValue(java.lang.String value,
                              oracle.apps.cz.cio.RuntimeNode node)
                       throws LogicalException,
                              TransactionException

    `LogicalException`
    `TransactionException`

### getSavedValue

    public java.lang.String getSavedValue()

### setValue

    public void setValue(java.lang.String value)
                  throws LogicalException

  Sets the value (state for boolean features and numeric values for other features) for the attribute.
    `LogicalException`

### getValue

    public java.lang.String getValue()

  Returns the string value of the attribute

### getValue

    public java.lang.String getValue(oracle.apps.cz.cio.RuntimeNode rtNode)

  Returns the string value of the attribute

### getFeature

    public oracle.apps.cz.cio.RuntimeNode getFeature()

### getName

    public java.lang.String getName()

### getGroup

    public java.lang.String getGroup()

### getType

    public int getType()

  Returns the type of the associated valueFeature

### retainSavedValue

    public boolean retainSavedValue()

### setAttributeLevel

    public void setAttributeLevel(java.lang.String attrLevel)

### getAttributeLevel

    public java.lang.String getAttributeLevel()

### getInstalledValue

    public java.lang.String getInstalledValue()

### getInstalledValue

    public java.lang.String getInstalledValue(oracle.apps.cz.cio.RuntimeNode node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.